using Journal.Core.Models;

namespace Journal.Core.Repositories;

public interface IListRepository
{
    List<ListDocument> GetAll();
    ListDocument? GetById(Guid id);
    void Add(ListDocument list);
    bool Update(Guid id, string? label = null, string? content = null);
    bool Remove(Guid id);
}
